package com.jz.dm.common.base;

import com.jz.common.bean.SysUserDto;
import com.jz.common.constant.RedisMessageConstant;
import org.springframework.data.redis.core.RedisTemplate;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.base
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: BaseCurrentUserObject
 * @DATE: 2020-12-30/16:05
 * @DAY_NAME_SHORT: 周三
 * @Description: 获取当前登录用户
 **/
public class BaseCurrentUserObject {

    private static RedisTemplate<String, Object> REDIS = new RedisTemplate();
    private volatile static SysUserDto sysUserDto;

    private BaseCurrentUserObject() {
    }

    /**
     * 获取登录用户
     *
     * @return
     */
    public static SysUserDto getUserInfo() {
        if (sysUserDto == null) {
            synchronized (SysUserDto.class) {
                if (sysUserDto == null) {
                    sysUserDto = (SysUserDto) REDIS.opsForValue().get("USER" + RedisMessageConstant.SENDTYPE_LOGIN_SYS);
                }
            }
        }
        return sysUserDto;

    }
}
