package com.jz.dm.config;

import com.jz.dm.web.interceptor.AccessLimitInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.config
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: WebAppConfigurer
 * @DATE: 2020-12-26/18:53
 * @DAY_NAME_SHORT: 周六
 * @Description:
 **/
@Configuration
public class WebAppConfigurer extends WebMvcConfigurerAdapter {

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 可添加多个，这里选择拦截所有请求地址，进入后判断是否有加注解即可
        registry.addInterceptor(getAccessLimitInterceptor())
                .addPathPatterns("/api/organization/**")
                .excludePathPatterns(
                        "/**/*.html",            //html静态资源
                        "/**/*.js",              //js静态资源
                        "/**/*.css"             //css静态资源
                );
    }
    @Bean
    public AccessLimitInterceptor getAccessLimitInterceptor() {
        return new AccessLimitInterceptor();
    }

}
