package com.jz.dm.filter;

import com.jz.dm.common.constant.Constants;
import com.jz.dm.models.enity.GatewayRequest;
import com.jz.dm.models.enity.GatewayResponse;
import com.jz.dm.models.enity.OpenApi;
import com.jz.dm.models.enity.RequestContext;
import com.jz.dm.common.enums.RouteType;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 验签过滤器(验证签名信息)
 */
@Slf4j
@Component
public class VerifySignFilter extends AbstractFilter {

    @Override
    public int getOrder() {
        return Constants.FILTER_ORDER_2;
    }

    @Override
    public String getFilterName() {
        return "VerifySignFilter";
    }
    @Override
    protected void internalDoFilter(GatewayRequest request, GatewayResponse response,
                                    FilterChain chain) {
        // 后期再扩展
        OpenApi openApi = new OpenApi();
        openApi.setApplication("JZ_API_GATEWAY");//应用
        openApi.setRouteType(RouteType.SRPING);//漏油类型
        RequestContext.getCurrentContext().set("openApi", openApi);

        chain.doFilter(request, response);
    }

}
