package com.jz.dm.models.domian;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jz.dm.common.base.BaseObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 * @Description:
 * @Author: Mr.zhang
 * @Date: 2020-12-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_api_interface_custom")
public class ApiInterfaceCustom extends BaseObject implements Serializable {


	/**
	* api唯一标识
	*/
	@TableField("api_key")
    private String apiKey;

	/**
	* apiInterfaceId
	*/
	@TableField("api_interface_id")
    private Long apiInterfaceId;

	/**
	* api类型:1 实时接入  2 数据银行制作API, 3 数据银行制作数据包 6标签查询 9自定义'
	*/
	@TableField("api_type")
    private String apiType;

	/**
	* api请求参数
	*/
	@TableField("request_param")
    private String requestParam;

	/**
	* api响应参数
	*/
	@TableField("response_param")
    private String responseParam;
	/**
	* 请求头
	*/
	@TableField("req_headers")
    private String reqHeaders;

	/**
	* 响应状态码
	*/
	@TableField("resp_code")
    private String respCode;
	/**
	* api返回样例
	*/
	@TableField("api_example")
    private String apiExample;

}
