package com.jz.dm.models.domian;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jz.dm.common.base.BaseObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**api请求日志表
 * @author ybz
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_api_req_log")
public class ApiReqLog extends BaseObject implements Serializable {

	/**
	* 请求ip
	*/
	@TableField("request_ip")
    private String requestIp;

	/**
	* apikey
	*/
	@TableField("api_key")
    private String apiKey;

	/**
	* 请求参数
	*/
	@TableField("request_params")
    private String requestParams;

	/**
	* 返回参数
	*/
	@TableField("response_params")
    private String responseParams;

	/**
	* 请求路径
	*/
	@TableField("request_url")
    private String requestUrl;

	/**
	* 请求方法
	*/
	@TableField("request_method")
    private String requestMethod;

	/**
	* 加密方式:MD5,RSA
	*/
	@TableField("encry_mode")
    private String encryMode;

	/**
	* 传输方式:POST,GET
	*/
	@TableField("trans_mode")
    private String transMode;

	/**
	* 客户请求token
	*/
	@TableField("request_token")
    private String requestToken;

	/**
	* 请求时间
	*/
	@ApiModelProperty("请求时间")
	@TableField("request_time")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date requestTime;

}
