package com.jz.dm.models.enity;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * Dispatch Context
 */
public class DispatchContext implements Serializable {

    /**
     * 序列号
     */
    private static final long         serialVersionUID = -3448256355423553719L;

    /**
     * 商户应用id
     */
    private String                    appKey;

    /**
     * 应用
     */
    private String                    application;

    /**
     * openapi接口
     */
    private String                    openApiMethod;

    /**
     * openapi接口参数，json格式
     */
    private String                    openApiParams;

    /**
     * openapi接口版本
     */
    private String                    openApiVersion;

    /**
     * 扩展属性
     */
    private final Map<String, Object> extAttributes    = new HashMap<String, Object>();

    /**
     * Getter method for property <tt>appId</tt>.
     * 
     * @return property value of appId
     */
    public String getAppKey() {
        return appKey;
    }

    /**
     * Setter method for property <tt>appId</tt>.
     * 
     * @param appKey value to be assigned to property appId
     */
    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    /**
     * Getter method for property <tt>application</tt>.
     * 
     * @return property value of application
     */
    public String getApplication() {
        return application;
    }

    /**
     * Setter method for property <tt>application</tt>.
     * 
     * @param application value to be assigned to property application
     */
    public void setApplication(String application) {
        this.application = application;
    }

    /**
     * Getter method for property <tt>openApiMethod</tt>.
     * 
     * @return property value of openApiMethod
     */
    public String getOpenApiMethod() {
        return openApiMethod;
    }

    /**
     * Setter method for property <tt>openApiMethod</tt>.
     * 
     * @param openApiMethod value to be assigned to property openApiMethod
     */
    public void setOpenApiMethod(String openApiMethod) {
        this.openApiMethod = openApiMethod;
    }

    /**
     * Getter method for property <tt>openApiParams</tt>.
     * 
     * @return property value of openApiParams
     */
    public String getOpenApiParams() {
        return openApiParams;
    }

    /**
     * Setter method for property <tt>openApiParams</tt>.
     * 
     * @param openApiParams value to be assigned to property openApiParams
     */
    public void setOpenApiParams(String openApiParams) {
        this.openApiParams = openApiParams;
    }

    /**
     * Getter method for property <tt>openApiVersion</tt>.
     * 
     * @return property value of openApiVersion
     */
    public String getOpenApiVersion() {
        return openApiVersion;
    }

    /**
     * Setter method for property <tt>openApiVersion</tt>.
     * 
     * @param openApiVersion value to be assigned to property openApiVersion
     */
    public void setOpenApiVersion(String openApiVersion) {
        this.openApiVersion = openApiVersion;
    }

    /**
     * 获取扩展属性
     * 
     * @param attributeName
     * @return
     */
    @SuppressWarnings("unchecked")
    public <T> T getExtAttribute(String attributeName) {
        return (T) extAttributes.get(attributeName);
    }

    /**
     * 设置属性
     * 
     * @param attributeName
     * @param attributeValue
     */
    public void setExtAttribute(String attributeName, Object attributeValue) {
        extAttributes.put(attributeName, attributeValue);
    }

    /**
     * Getter method for property <tt>extAttributes</tt>.
     * 
     * @return property value of extAttributes
     */
    public Map<String, Object> getExtAttributes() {
        return extAttributes;
    }

    /** 
     * @see Object#toString()
     */
    @Override
    public String toString() {
        return "DispatchContext [application=" + application + ", openApiMethod=" + openApiMethod
               + ", openApiParams=" + openApiParams + ", openApiVersion=" + openApiVersion + "]";
    }

}
