package com.jz.dm.models.req.auth;

import com.jz.dm.common.enums.auth.AuthModeEnum;
import com.jz.dm.common.enums.auth.AuthTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: AuthMallUserApiReq
 * @DATE: 2020-12-26/15:52
 * @DAY_NAME_SHORT: 周六
 * @Description:
 **/
@Data
@ApiModel("商城用户API认证")
public class AuthMallUserApiReq implements Serializable {

    @ApiModelProperty(value = "apiKey唯一标识",required = true)
    @NotNull(message = "apiKey唯一标识不能为空")
    private String apiKey;

    @ApiModelProperty(value = "组织类型: INT 内部, OUT 外部",required = true)
    @NotNull(message = "组织类型不能为空")
    private String orgType;

    @ApiModelProperty(value = "用户id",required = false)
    private String userId;

    @ApiModelProperty(value = "组织编码",required = true)
    @NotNull(message = "组织编码不能为空")
    private String orgCode;

    @ApiModelProperty(value = "授权类型:DATA_BANK_AUTH 数据银行 , DMP_AUTHdmp 授权",required = true)
    @NotNull(message = "授权类型不能为空")
    private AuthTypeEnum authType;

    @ApiModelProperty(value = "授权方式:POWER_CALL_MODE 按次调用 ,RECORD_TIME_MODE 按时间调用,PERMANENT_TIME_MODE 永久有效",required = true)
    @NotNull(message = "授权方式不能为空")
    private AuthModeEnum authMode;

    @ApiModelProperty(value = "开始时间",required = false)
    private String validStartTime;
    @ApiModelProperty(value = "结束时间",required = false)
    private String validEndTime;

    @ApiModelProperty(value = "备注",required = false)
    private String remark;
}
