package com.jz.dm.models.req.make;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: MakeBigDataApiReq
 * @DATE: 2020-12-26/13:08
 * @DAY_NAME_SHORT: 周六
 * @Description:
 **/
@Data
@ApiModel("Api制作大数据查询/标签查询请求体")
public class MakeBigDataApiReq  implements Serializable {

    @ApiModelProperty(value = "id--更新时id不能为空",required = false)
    private Long id;

    @ApiModelProperty(value = "数据类型:api类型:1 实时接入  2 数据银行制作API, 3 数据银行制作数据包 6标签查询 8 查询hive数据源 9自定义",required = true)
    @NotNull(message = "apiType不能为空")
    private String apiType;

    @ApiModelProperty(value = "apiId 等价于apiKey",required = true)
    @NotNull(message = "apiId不能为空")
    public String apiId;

    @ApiModelProperty(value = "数据源Id",required = true)
    @NotNull(message = "数据源Id不能为空")
    private String esDataSource;

    @ApiModelProperty(value = "源库名称",required = true)
    @NotNull(message = "源库名称不能为空")
    private String esDatabase;

    @ApiModelProperty(value = "源表名称",required = true)
    @NotNull(message = "源表名称不能为空")
    private String esTable;

    @ApiModelProperty(value = "处理类型",required = true)
    @NotNull(message = "处理类型不能为空")
    private String handleType;

    @ApiModelProperty(value = "是否分页",required = false)
    private long page;

    @ApiModelProperty(value = "请求参数",required = true)
    @NotNull(message = "请求参数不能为空")
    private String requestParam;

    @ApiModelProperty(value = "返回参数",required = true)
    @NotNull(message = "返回参数不能为空")
    private String resultParam;

    @ApiModelProperty(value = "段列表",required = true)
    @NotNull(message = "字段列表不能为空")
    private String tableFields;



}
