package com.jz.dm.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.dm.models.domian.ApiInterfaceFile;
import com.jz.dm.models.req.make.*;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.service
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ProducerService
 * @DATE: 2020-12-23/16:56
 * @DAY_NAME_SHORT: 周三
 * @Description:
 **/
public interface ProducerService {
    /**
     * 制作自定义APi
     * @param req
     * @return
     */
    Result addCustomApi(MakeCustomApiReq req);

    /**
     * Api制作(实时接入)
     * @param req
     * @return
     */
    Result addRealCustomApi(MakeRealCustomApiReq req);

    /**
     * Api制作(大数据查询/标签查询)
     * @param req
     * @return
     */
    Result addBigDataMakeApi(MakeBigDataApiReq req);

    /**
     * 获取数据源配置
     * @param req
     * @return
     */
    Result getSourceConfig(SourceConfigReq req);

    /**
     * 获取数据库列表
     * @param id
     * @return
     */
    Result getSourceWarehouseList(Long id);

    /**
     * 获取某个索引下的type
     * @param indices
     * @param id
     * @return
     */
    Result getIndicesTypes(String indices, Long id);

    /**
     * 获取某个索引 type的fields
     * @param indices
     * @param type
     * @param id
     * @return
     */
    Result getIndicesTypesFields(String indices, String type, Long id);


    /**
     * 保存修改的api信息
     * @param req
     * @return
     */
    Result saveUpdateAPiInfo(MakeApiSaveInfoReq req);

    /**
     * 数据银行制作API/数据包
     * @param req
     * @return
     */
    Result addDataBankApiInfo(MakeDataBankApiReq req);

    /**
     * 保存 API基本信息
     * @param req
     * @return
     */
    Result saveInterfaceAPi(ApiInterfaceReq req);

    /**
     * 获取文件列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    IPage<ApiInterfaceFile> getFileCatalog( String pageNum, String pageSize);
}
