package com.jz.dm.service.apirequest;

import com.jz.dm.common.util.OpenApiRequest;
import com.jz.dm.common.util.OpenApiResponse;
import com.jz.dm.gateway.OpenApiService;
import com.jz.dm.web.annotation.AccessLimit;
import com.jz.dm.web.annotation.ApiLogAspect;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.service.apirequest
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiQueryService
 * @DATE: 2020-12-23/18:10
 * @DAY_NAME_SHORT: 周三
 * @Description:
 **/
@Service("apiQueryService")
@Slf4j
public class ApiQueryService implements OpenApiService {
    @Override
    public String getOpenApiMethod() {
        return "query";
    }

    @Override
    public String getOpenApiVersion() {
        return "1.0.0";
    }

    @Override
    @ApiLogAspect
    @AccessLimit(limit = 10000,sec = 1)
    @Transactional(rollbackFor = Exception.class,propagation = Propagation.REQUIRES_NEW)
    public void doService(OpenApiRequest request, OpenApiResponse response) {

    }
}
