package com.jz.dm.mall.moduls.controller.goods.bean.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jz.common.entity.DataGoodsApiParams;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @ClassName:  商品详情参数封装
 * @Author: Carl
 * @Date: 2020/12/8
 * @Version:
 */
@ApiModel(value = "商品详情--商品详情参数对象", description = "商品详情参数对象")
public class DataGoodsApiDto implements Serializable {

    /**
     * api商品id
     */
    @ApiModelProperty(value = "api商品id")
    private Long goodsApi;

    /**
     * 数据id
     */
    @ApiModelProperty(value = "数据id")
    private Long dataGoodsId;

    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    /**
     * api参数id
     */
    @ApiModelProperty(value = "api参数id")
    private Long apiParamsId;

    /**
     * api服务名称
     */
    @ApiModelProperty(value = "api服务名称")
    private String apiName;

    /**
     * 请求类型（方式）
     */
    @ApiModelProperty(value = "请求类型（方式）")
    private String requestType;

    /**
     * api接口地址
     */
    @ApiModelProperty(value = "api接口地址")
    private String apiUrl;

    /**
     * api接口方法
     */
    @ApiModelProperty(value = "api接口方法")
    private String apiMethod;

    /**
     * api请求协议
     */
    @ApiModelProperty(value = "api请求协议")
    private String apiProtocl;

    /**
     * 返回类型
     */
    @ApiModelProperty(value = "返回类型")
    private String returnType;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date uptTime;

    /**
     * 价格类型
     */
    @ApiModelProperty(value = "价格类型")
    private String priceType;

    /**
     * 供应商名称
     */
    @ApiModelProperty(value = "供应商名称")
    private String supplierName;

    /**
     * 参数分类
     */
    @ApiModelProperty(value = "参数分类：01公共参数，02请求参数，03响应参数，04请求头参数，05状态码参数")
    private String paramsDiff;

    @ApiModelProperty(value = "年(元)")
    private BigDecimal yearType;

    @ApiModelProperty(value = "季(元)")
    private BigDecimal seasonType;

    @ApiModelProperty(value = "月(元)")
    private BigDecimal monthType;

    @ApiModelProperty(value = "次(元)")
    private BigDecimal secondType;

    /**
     * 参数名称
     */
    @ApiModelProperty(value = "参数名称")
    private String paramsName;

    /**
     * 参数类型
     */
    @ApiModelProperty(value = "参数类型")
    private String paramsTYpe;

    /**
     * 参数描述
     */
    @ApiModelProperty(value = "参数描述")
    private String paramsDesc;

    /**
     * 默认值
     */
    @ApiModelProperty(value = "默认值")
    private String defaultValue;

    /**
     * 是否必选
     */
    @ApiModelProperty(value = "是否必选：Y是，N否")
    private String ifRequird;

    /**
     * 数据类型
     */
    @ApiModelProperty(value = "数据类型")
    private String dataType;

    /**
     * api返回数据样例
     */
    @ApiModelProperty(value = "api返回数据样例")
    private String returnDataExample;

    /**
     * api请求样例
     */
    @ApiModelProperty(value = "api请求样例")
    private String requestExample;

    @ApiModelProperty(value = "参数分类数字")
    private String paramsDiffNum;


    public Long getGoodsApi() {
        return goodsApi;
    }

    public void setGoodsApi(Long goodsApi) {
        this.goodsApi = goodsApi;
    }

    public Long getDataGoodsId() {
        return dataGoodsId;
    }

    public void setDataGoodsId(Long dataGoodsId) {
        this.dataGoodsId = dataGoodsId;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName;
    }

    public String getRequestType() {
        return requestType;
    }

    public void setRequestType(String requestType) {
        this.requestType = requestType;
    }

    public String getApiUrl() {
        return apiUrl;
    }

    public void setApiUrl(String apiUrl) {
        this.apiUrl = apiUrl;
    }

    public String getApiMethod() {
        return apiMethod;
    }

    public void setApiMethod(String apiMethod) {
        this.apiMethod = apiMethod;
    }

    public String getApiProtocl() {
        return apiProtocl;
    }

    public void setApiProtocl(String apiProtocl) {
        this.apiProtocl = apiProtocl;
    }

    public String getReturnType() {
        return returnType;
    }

    public void setReturnType(String returnType) {
        this.returnType = returnType;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public Long getApiParamsId() {
        return apiParamsId;
    }

    public void setApiParamsId(Long apiParamsId) {
        this.apiParamsId = apiParamsId;
    }

    public String getParamsDiff() {
        return paramsDiff;
    }

    public void setParamsDiff(String paramsDiff) {
        this.paramsDiff = paramsDiff;
    }

    public String getParamsName() {
        return paramsName;
    }

    public void setParamsName(String paramsName) {
        this.paramsName = paramsName;
    }

    public String getParamsTYpe() {
        return paramsTYpe;
    }

    public void setParamsTYpe(String paramsTYpe) {
        this.paramsTYpe = paramsTYpe;
    }

    public String getParamsDesc() {
        return paramsDesc;
    }

    public void setParamsDesc(String paramsDesc) {
        this.paramsDesc = paramsDesc;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getIfRequird() {
        return ifRequird;
    }

    public void setIfRequird(String ifRequird) {
        this.ifRequird = ifRequird;
    }

    public String getReturnDataExample() {
        return returnDataExample;
    }

    public void setReturnDataExample(String returnDataExample) {
        this.returnDataExample = returnDataExample;
    }

    public String getRequestExample() {
        return requestExample;
    }

    public void setRequestExample(String requestExample) {
        this.requestExample = requestExample;
    }

    public BigDecimal getYearType() {
        return yearType;
    }

    public void setYearType(BigDecimal yearType) {
        this.yearType = yearType;
    }

    public BigDecimal getSeasonType() {
        return seasonType;
    }

    public void setSeasonType(BigDecimal seasonType) {
        this.seasonType = seasonType;
    }

    public BigDecimal getMonthType() {
        return monthType;
    }

    public void setMonthType(BigDecimal monthType) {
        this.monthType = monthType;
    }

    public BigDecimal getSecondType() {
        return secondType;
    }

    public void setSecondType(BigDecimal secondType) {
        this.secondType = secondType;
    }

    public String getParamsDiffNum() {
        return paramsDiffNum;
    }

    public void setParamsDiffNum(String paramsDiffNum) {
        this.paramsDiffNum = paramsDiffNum;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }
}
