package com.jz.dm.mall.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单支付(TOrderPayment)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:41
 */
@TableName("t_order_payment")
@ApiModel
public class OrderPayment implements Serializable {
    private static final long serialVersionUID = -14423507905800987L;
    /**
     * 支付id
     */
    private Long paymentId;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 卖家id（收款方）
     */
    private Long sellerId;
    /**
     * 支付金额
     */
    private BigDecimal paymentMoney;
    /**
     * 支付时间
     */
    private Date paymentTime;
    /**
     * 支付方式：01余额
     */
    private String paymentMethod;
    /**
     * 优惠金额
     */
    private BigDecimal districtMoney;
    /**
     * 支付状态
     */
    private String paymentStatus;
    /**
     * 购买方式：01年，02季，03月，04次(服务类型)
     */
    private String purchaseMethod;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 删除标识
     */
    private String delFlag;


    public Long getPaymentId() {
        return paymentId;
    }

    public void setPaymentId(Long paymentId) {
        this.paymentId = paymentId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public BigDecimal getPaymentMoney() {
        return paymentMoney;
    }

    public void setPaymentMoney(BigDecimal paymentMoney) {
        this.paymentMoney = paymentMoney;
    }

    public Date getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(Date paymentTime) {
        this.paymentTime = paymentTime;
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(String paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    public BigDecimal getDistrictMoney() {
        return districtMoney;
    }

    public void setDistrictMoney(BigDecimal districtMoney) {
        this.districtMoney = districtMoney;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getPurchaseMethod() {
        return purchaseMethod;
    }

    public void setPurchaseMethod(String purchaseMethod) {
        this.purchaseMethod = purchaseMethod;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}