package com.jz.manage.moduls.controller.goods.bean.request;

import com.jz.manage.moduls.entity.DataGoodsApiParams;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/29
 * @Version:
 */
@Data
@ApiModel(value = "自营数据--api上传参数对象", description = "api上传参数对象")
public class DataApiUpReq implements Serializable {

    /**
     * api表
     */
    @ApiModelProperty(value = "api服务名称")
    private String apiName;

    @ApiModelProperty(value = "请求类型")
    private String requestType;

    @ApiModelProperty(value = "接口地址")
    private String apiUrl;

    @ApiModelProperty(value = "api请求协议")
    private String apiProtocl;

    @ApiModelProperty(value = "api返回数据样例")
    private String returnDataExample;

    @ApiModelProperty(value = "api请求样例")
    private String requestExample;

    @ApiModelProperty(value = "返回类型")
    private String returnType;

    @ApiModelProperty(value = "apikey")
    private String apiKey;

    @ApiModelProperty(value = "加密方式")
    private String encryMode;

    @ApiModelProperty(value = "传输方式")
    private String transMode;

    @ApiModelProperty(value = "功能")
    private String apiFunction;

    @ApiModelProperty(value = "每单接口调用频率")
    private String oneCallFrequency;

    @ApiModelProperty(value = "每个接口的调用频率")
    private String allCallFrequency;

    @ApiModelProperty(value = "客户请求token")
    private String requestToken;

    @ApiModelProperty(value = "版本号")
    private String versionNumber;

    @ApiModelProperty(value = "创建人")
    private String crePerson;

    @ApiModelProperty(value = "创建时间")
    private Date creTime;

    @ApiModelProperty(value = "价格类型")
    private String priceType;

    @ApiModelProperty(value = "api类型")
    private String apiType;

    @ApiModelProperty(value = "接口描述",required = false)
    private String apiDesc;

    @ApiModelProperty(value = "目标地址",required = false)
    private String targetUrl;

    @ApiModelProperty(value = "超时时间")
    private Date overTime;
    /**
     * goods表
     */
    @ApiModelProperty(value = "数据名称")
    private String dataName;

    @ApiModelProperty(value = "商品分类")
    private Long categoryId;

    @ApiModelProperty(value = "数据id")
    private String dataGoodsId;

    @ApiModelProperty(value = "数据描述")
    private String dataDesc;

    @ApiModelProperty(value = "商品图片")
    private String dataPicture;

    @ApiModelProperty(value = "数据状态")
    private String dataStatus;

    @ApiModelProperty(value = "唯一数据商品标识")
    private String apiOpenId;

    @ApiModelProperty(value = "审核状态")
    private String auditStatus;

    @ApiModelProperty(value = "审核人")
    private String auditPerson;

    @ApiModelProperty(value = "审核时间")
    private Date auditTime;

    @ApiModelProperty(value = "年（元）")
    private BigDecimal yearType;

    @ApiModelProperty(value = "季（元）")
    private BigDecimal seasonType;

    @ApiModelProperty(value = "月（元）")
    private BigDecimal monthType;

    @ApiModelProperty(value = "次（元）")
    private BigDecimal secondType;

    /**
     * apiParam
     */
    @ApiModelProperty(value = "参数集合")
    private List<DataGoodsApiParams> paramsList;
}
