package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * api商品参数配置(TDataGoodsApiParams)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:31
 */
@TableName("t_data_goods_api_params")
@ApiModel
public class DataGoodsApiParams implements Serializable {
    private static final long serialVersionUID = 944366688061324185L;
    /**
     * api参数id
     */
    @ApiModelProperty("主健ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long apiParamsId;
    /**
     * api商品id
     */
    @ApiModelProperty(value = "api商品id")
    private Long goodsApi;
    /**
     * 参数分类：01公共参数，02请求参数，03响应参数，04请求头参数，05状态码参数
     */
    @ApiModelProperty(value = "参数分类")
    private String paramsDiff;
    /**
     * 参数名称
     */
    @ApiModelProperty(value = "参数名称")
    private String paramsName;
    /**
     * 参数类型
     */
    @ApiModelProperty(value = "参数类型")
    private String paramsType;
    /**
     * 参数描述
     */
    @ApiModelProperty(value = "参数描述")
    private String paramsDesc;
    /**
     * 默认值
     */
    @ApiModelProperty(value = "默认值")
    private String defaultValue;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 是否必选：Y是，N否
     */
    @ApiModelProperty(value = "是否必选")
    private String ifRequird;
    /**
     * 删除标识：Y是，N否
     */
    @ApiModelProperty(value = "删除标识")
    private String delFlag;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date creTime;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date uptTime;


    public Long getApiParamsId() {
        return apiParamsId;
    }

    public void setApiParamsId(Long apiParamsId) {
        this.apiParamsId = apiParamsId;
    }

    public Long getGoodsApi() {
        return goodsApi;
    }

    public void setGoodsApi(Long goodsApi) {
        this.goodsApi = goodsApi;
    }

    public String getParamsDiff() {
        return paramsDiff;
    }

    public void setParamsDiff(String paramsDiff) {
        this.paramsDiff = paramsDiff;
    }

    public String getParamsName() {
        return paramsName;
    }

    public void setParamsName(String paramsName) {
        this.paramsName = paramsName;
    }

    public String getParamsType() {
        return paramsType;
    }

    public void setParamsType(String paramsType) {
        this.paramsType = paramsType;
    }

    public String getParamsDesc() {
        return paramsDesc;
    }

    public void setParamsDesc(String paramsDesc) {
        this.paramsDesc = paramsDesc;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIfRequird() {
        return ifRequird;
    }

    public void setIfRequird(String ifRequird) {
        this.ifRequird = ifRequird;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

}